package smila.hackatlon.chansonnier.utils;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

public class FSUtils {
	
	public static synchronized File createFile(byte[] bytes,String filepath) throws IOException{
		FileOutputStream os = new FileOutputStream(filepath);
		os.write(bytes);
		os.close();
		return new File(filepath);
	}
	
	public static String fsEscape(String name){
		return name.replaceAll("\\s+", "_").replaceAll("[^\\w.,-_\\(\\)\\[\\]\"\']", "_");
	}
	
	public static String getCommandLine(String cmd, String...arguments){
		StringBuilder cmdline = new StringBuilder(cmd);
		for(String argument:arguments){
			if(argument.indexOf(" ")>-1){
				argument="\""+argument+"\"";
			}
			cmdline.append(" ");
			cmdline.append(argument);
		}
		return cmdline.toString();
	}
}
